View Issue Details

IDProjectCategoryView StatusLast Update
0003031gnunet-gtkgnunet-fs-gtkpublic2013-12-24 20:54
ReporterbrataoAssigned ToChristian Grothoff 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformW32OSWindowsOS Version8.1
Product VersionSVN HEAD 
Target Version0.10.0Fixed in Version0.10.0 
Summary0003031: Crash when publishing
DescriptionWhen publishing a file, it crash.


Program received signal SIGSEGV, Segmentation fault.
0x6a702d94 in GNUNET_IDENTITY_ego_get_private_key (ego=0x0)
    at identity_api.c:593
593 return ego->pk;
Additional InformationProgram received signal SIGSEGV, Segmentation fault.
0x6a702d94 in GNUNET_IDENTITY_ego_get_private_key (ego=0x0)
    at identity_api.c:593
593 return ego->pk;
(gdb) bt
#0 0x6a702d94 in GNUNET_IDENTITY_ego_get_private_key (ego=0x0)
    at identity_api.c:593
#1 0x0041540c in GNUNET_GTK_master_publish_dialog_execute_button_clicked_cb (
    button=0x4abe8d8, user_data=0x3b172b8)
    at gnunet-fs-gtk_publish-dialog.c:2210
#2 0x63a462ea in _g_closure_invoke_va (closure=0x4af6f38, return_value=0x0,
    instance=0x4abe8d8, args=0x28f66c "ÐtÌ", n_params=0, param_types=0x0)
    at gclosure.c:840
#3 0x63a5ef0c in g_signal_emit_valist (instance=instance@entry=0x4abe8d8,
    signal_id=signal_id@entry=130, detail=detail@entry=0,
    var_args=var_args@entry=0x28f66c "ÐtÌ") at gsignal.c:3234
#4 0x63a5f637 in g_signal_emit (instance=0x4abe8d8, signal_id=130, detail=0)
    at gsignal.c:3382
#5 0x617a3619 in gtk_button_clicked (button=0x4abe8d8)
    at ../../gtk+-2.24.20/gtk/gtkbutton.c:1115
#6 0x617a37ad in gtk_real_button_released (button=0x4abe8d8)
    at ../../gtk+-2.24.20/gtk/gtkbutton.c:1712
#7 0x63a462ea in _g_closure_invoke_va (closure=0x72b008, return_value=0x0,
    instance=0x4abe8d8, args=0x28f82c "Ðù(", n_params=0, param_types=0x0)
    at gclosure.c:840
#8 0x63a5ef0c in g_signal_emit_valist (instance=instance@entry=0x4abe8d8,
    signal_id=signal_id@entry=129, detail=detail@entry=0,
    var_args=var_args@entry=0x28f82c "Ðù(") at gsignal.c:3234
#9 0x63a5f637 in g_signal_emit (instance=0x4abe8d8, signal_id=129, detail=0)
    at gsignal.c:3382
#10 0x617a3509 in gtk_button_released (button=0x4abe8d8)
    at ../../gtk+-2.24.20/gtk/gtkbutton.c:1107
#11 0x617a3532 in gtk_button_button_release (widget=0x4abe8d8,
    event=0x3ca40c0) at ../../gtk+-2.24.20/gtk/gtkbutton.c:1604
#12 0x6184a8ac in _gtk_marshal_BOOLEAN__BOXED (closure=0x6e5e20,
    return_value=0x28f958, n_param_values=2, param_values=0x28f9d0,
    invocation_hint=0x28f97c,
    marshal_data=0x617a3510 <gtk_button_button_release>)
    at ../../gtk+-2.24.20/gtk/gtkmarshalers.c:86
#13 0x63a460b2 in g_closure_invoke (closure=0x6e5e20, return_value=0x28f958,
    n_param_values=2, param_values=0x28f9d0, invocation_hint=0x28f97c)
    at gclosure.c:777
#14 0x63a57d82 in signal_emit_unlocked_R (node=0x6e5fe0, detail=0,
    instance=0x4abe8d8, emission_return=<optimized out>,
    emission_return@entry=0x28fa70, instance_and_params=<optimized out>,
    instance_and_params@entry=0x28f9d0) at gsignal.c:3620
#15 0x63a5ebd3 in g_signal_emit_valist (instance=instance@entry=0x4abe8d8,
    signal_id=signal_id@entry=41, detail=detail@entry=0,
    var_args=0x28fb20 "<û(", var_args@entry=0x28fb1c "À@Ê\003<û(")
    at gsignal.c:3336
#16 0x63a5f637 in g_signal_emit (instance=0x4abe8d8, signal_id=41, detail=0)
    at gsignal.c:3382
#17 0x6195e874 in gtk_widget_event_internal (widget=widget@entry=0x4abe8d8,
    event=event@entry=0x3ca40c0) at ../../gtk+-2.24.20/gtk/gtkwidget.c:5010
#18 0x6195eb2b in gtk_widget_event (widget=widget@entry=0x4abe8d8,
    event=event@entry=0x3ca40c0) at ../../gtk+-2.24.20/gtk/gtkwidget.c:4807
#19 0x61848f70 in gtk_propagate_event (widget=0x4abe8d8, event=0x3ca40c0)
    at ../../gtk+-2.24.20/gtk/gtkmain.c:2490
#20 0x618492fc in gtk_main_do_event (event=0x3ca40c0)
    at ../../gtk+-2.24.20/gtk/gtkmain.c:1685
#21 0x6c37b647 in gdk_event_dispatch (source=source@entry=0x6d2058,
    callback=0x0, user_data=0x0)
    at ../../../gtk+-2.24.20/gdk/win32/gdkevents-win32.c:3602
#22 0x685f1a8b in g_main_dispatch (context=0x6d2110) at gmain.c:3064
#23 g_main_context_dispatch (context=0x6d2110) at gmain.c:3640
#24 0x62b6efe8 in run_ready (ws=0x6c6b20, rs=<optimized out>)
    at scheduler.c:597
#25 GNUNET_SCHEDULER_run (task=task@entry=0x62b6a420 <program_main>,
    task_cls=task_cls@entry=0x28fd20) at scheduler.c:786
#26 0x62b6aba2 in GNUNET_PROGRAM_run2 (argc=argc@entry=1,
    argv=argv@entry=0x6b9330,
    binaryName=binaryName@entry=0x420367 <_Jv_RegisterClasses+4326247> "gnunet-f
s-gtk",
    binaryHelp=binaryHelp@entry=0x420564 <_Jv_RegisterClasses+4326756> "GTK GUI
for GNUnet", options=options@entry=0x41f040 <options.147218>,
    task=task@entry=0x69c422c0 <run_main_loop>,
    task_cls=task_cls@entry=0x28fe30,
    run_without_scheduler=run_without_scheduler@entry=0) at program.c:273
#27 0x62b6add7 in GNUNET_PROGRAM_run (argc=1, argv=0x6b9330,
    binaryName=0x420367 <_Jv_RegisterClasses+4326247> "gnunet-fs-gtk",
    binaryHelp=0x420564 <_Jv_RegisterClasses+4326756> "GTK GUI for GNUnet",
    options=0x41f040 <options.147218>, task=0x69c422c0 <run_main_loop>,
    task_cls=0x28fe30) at program.c:308
#28 0x69c43ac4 in GNUNET_GTK_main_loop_start (
    binary_name=0x420367 <_Jv_RegisterClasses+4326247> "gnunet-fs-gtk",
    binary_help=0x420564 <_Jv_RegisterClasses+4326756> "GTK GUI for GNUnet",
    argc=1, argv=0x6b9330, options=0x41f040 <options.147218>,
    main_window_file=0x420544 <_Jv_RegisterClasses+4326724> "gnunet_fs_gtk_main_
window.glade", main_task=0x401760 <run>) at eventloop.c:928
#29 0x0041edf8 in main (argc=1, argv=0x6b9330) at gnunet-fs-gtk.c:842
TagsNo tags attached.

Activities

Christian Grothoff

2013-09-13 15:03

manager   ~0007439

I think I fixed that one last night, is it still there today?

bratao

2013-09-14 04:49

reporter   ~0007445

No, Fixed on today SVN !

Issue History

Date Modified Username Field Change
2013-09-13 02:39 bratao New Issue
2013-09-13 15:03 Christian Grothoff Note Added: 0007439
2013-09-13 15:03 Christian Grothoff Assigned To => Christian Grothoff
2013-09-13 15:03 Christian Grothoff Status new => feedback
2013-09-14 04:49 bratao Note Added: 0007445
2013-09-14 04:49 bratao Status feedback => assigned
2013-09-14 04:49 bratao Status assigned => resolved
2013-09-14 04:49 bratao Resolution open => fixed
2013-09-14 15:00 Christian Grothoff Product Version => SVN HEAD
2013-09-14 15:00 Christian Grothoff Fixed in Version => 0.10.0
2013-09-14 15:00 Christian Grothoff Target Version => 0.10.0
2013-12-24 20:54 Christian Grothoff Status resolved => closed